#pragma once
#include <map>
struct M_ActivityGetRichDrawCFGData
{
	//编号
	int mID;
	//累充价格
	int mFullPrice;
	//增加抽奖次数
	int mDrawCount;
};

class M_ActivityGetRichDrawCFG
{
public:
private:
	static std::auto_ptr<M_ActivityGetRichDrawCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityGetRichDrawCFGData* GetData(int ID);
	const std::map<int, M_ActivityGetRichDrawCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityGetRichDrawCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityGetRichDrawCFGData> mMapData;
};
